package cn.com.tenlion.projectconfig.pojo.vos.projectconfig;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ProjectConfigVO
 * @Description: CBC项目配置管理表
 * @Author: CodeFactory
 * @Date: 2021-08-12 13:54:56
 * @Version: 3.0
 **/
@ApiModel
public class ProjectConfigVO {

    @ApiModelProperty(name = "projectConfigKey", value = "配置Key")
    @CheckEmptyAnnotation(name = "配置Key")
    private String projectConfigKey;
    @ApiModelProperty(name = "projectConfigMode", value = "配置类型")
    @CheckEmptyAnnotation(name = "配置类型")
    private String projectConfigMode;
    @ApiModelProperty(name = "projectConfigText", value = "文字配置")
    private String projectConfigText;
    @ApiModelProperty(name = "projectConfigSwitch", value = "开关配置")
    private String projectConfigSwitch;
    @ApiModelProperty(name = "projectConfigImage", value = "图片配置")
    private String projectConfigImage;
    @ApiModelProperty(name = "projectConfigParams", value = "自定义配置")
    private String projectConfigParams;
    @ApiModelProperty(name = "projectConfigLevel", value = "配置级别1初,2中,3高")
    private String projectConfigLevel;
    @ApiModelProperty(name = "projectConfigStatus", value = "是否允许删除0:不允许,1:允许")
    @CheckEmptyAnnotation(name = "允许删除")
    private String projectConfigStatus;
    @ApiModelProperty(name = "projectConfigRemark", value = "备注说明")
    @CheckEmptyAnnotation(name = "配置说明")
    private String projectConfigRemark;
    @ApiModelProperty(name = "projectConfigProject", value = "配置项目")
    private String projectConfigProject;

    public String getProjectConfigKey() {
        return projectConfigKey == null ? "" : projectConfigKey.trim();
    }

    public void setProjectConfigKey(String projectConfigKey) {
        this.projectConfigKey = projectConfigKey;
    }

    public String getProjectConfigMode() {
        return projectConfigMode == null ? "" : projectConfigMode.trim();
    }

    public void setProjectConfigMode(String projectConfigMode) {
        this.projectConfigMode = projectConfigMode;
    }

    public String getProjectConfigText() {
        return projectConfigText == null ? "" : projectConfigText.trim();
    }

    public void setProjectConfigText(String projectConfigText) {
        this.projectConfigText = projectConfigText;
    }

    public String getProjectConfigSwitch() {
        return projectConfigSwitch == null ? "" : projectConfigSwitch.trim();
    }

    public void setProjectConfigSwitch(String projectConfigSwitch) {
        this.projectConfigSwitch = projectConfigSwitch;
    }

    public String getProjectConfigImage() {
        return projectConfigImage == null ? "" : projectConfigImage.trim();
    }

    public void setProjectConfigImage(String projectConfigImage) {
        this.projectConfigImage = projectConfigImage;
    }

    public String getProjectConfigParams() {
        return projectConfigParams == null ? "" : projectConfigParams.trim();
    }

    public void setProjectConfigParams(String projectConfigParams) {
        this.projectConfigParams = projectConfigParams;
    }

    public String getProjectConfigLevel() {
        return projectConfigLevel == null ? "" : projectConfigLevel.trim();
    }

    public void setProjectConfigLevel(String projectConfigLevel) {
        this.projectConfigLevel = projectConfigLevel;
    }

    public String getProjectConfigStatus() {
        return projectConfigStatus == null ? "" : projectConfigStatus.trim();
    }

    public void setProjectConfigStatus(String projectConfigStatus) {
        this.projectConfigStatus = projectConfigStatus;
    }

    public String getProjectConfigRemark() {
        return projectConfigRemark == null ? "" : projectConfigRemark.trim();
    }

    public void setProjectConfigRemark(String projectConfigRemark) {
        this.projectConfigRemark = projectConfigRemark;
    }

    public String getProjectConfigProject() {
        return projectConfigProject == null ? "" : projectConfigProject.trim();
    }

    public void setProjectConfigProject(String projectConfigProject) {
        this.projectConfigProject = projectConfigProject;
    }


}
